PROGRAM_NAME='LiveCore_User_Definitions'

(***********************************************************)
(* REV HISTORY:     Revision   3.00                        *)
(***********************************************************)

(***********************************************************)
(*               CONSTANT DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_CONSTANT

IPad_Num_Device=10001			//set with your panel device number
Virtual_Livecore_Num_Device =34001	//set with virtual device number
Virtual_LiveCore_Panel = 33001		//set with your virtual device number
(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)

DEFINE_DEVICE

Livecore_Machine	= 	0:3:0	//set with your device number.port.system
Livecore_Machine_UDP	= 	0:4:0	//set with your device number.port.system for WOL (wake on lan)


(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE

//LiveCore Module usage.....TO BE SET BY USER
//*********************
INTEGER LiveCore_Port = 10600				//.....TO BE SET BY USER (Default port is 10600)
CHAR LiveCore_Adresse[]='192.168.2.140'			//.....TO BE SET BY USER
CHAR LiveCore_Mac_Adress[]={$00,$25,$90,$c5,$82,$54}	//.....TO BE SET BY USER MAC ADRESS hexadecimal notation {x,x,x,x,x,x}

Integer LiveCore_Inputs_Usage = 1		//optionnal module. Set to 1 if used
Integer LiveCore_Frame_Logo_Usage = 1		//optionnal module. Set to 1 if used
Integer LiveCore_Filtering_Usage = 1		//optionnal module. Set to 1 if used
Integer LiveCore_Master_Presets_Usage = 1	//optionnal module. Set to 1 if used
Integer LiveCore_Screen1_Usage = 1		//optionnal module. Set to 1 if used
Integer LiveCore_Screen2_Usage = 1		//optionnal module. Set to 1 if used
Integer LiveCore_Screen3_Usage = 0		//optionnal module. Set to 1 if used
Integer LiveCore_Screen4_Usage = 0		//optionnal module. Set to 1 if used
Integer LiveCore_Screen5_Usage = 0		//optionnal module. Set to 1 if used
Integer LiveCore_Screen6_Usage = 0		//optionnal module. Set to 1 if used
Integer LiveCore_Screen7_Usage = 0		//optionnal module. Set to 1 if used
Integer LiveCore_Screen8_Usage = 0		//optionnal module. Set to 1 if used
Integer LiveCore_Screen_Presets1_Usage = 1	//optionnal module. Set to 1 if used
Integer LiveCore_Screen_Presets2_Usage = 1	//optionnal module. Set to 1 if used
Integer LiveCore_Screen_Presets3_Usage = 0	//optionnal module. Set to 1 if used
Integer LiveCore_Screen_Presets4_Usage = 0	//optionnal module. Set to 1 if used
Integer LiveCore_Screen_Presets5_Usage = 0	//optionnal module. Set to 1 if used
Integer LiveCore_Screen_Presets6_Usage = 0	//optionnal module. Set to 1 if used
Integer LiveCore_Screen_Presets7_Usage = 0	//optionnal module. Set to 1 if used
Integer LiveCore_Screen_Presets8_Usage = 0	//optionnal module. Set to 1 if used
Integer LiveCore_Monitoring1_Usage     = 1	//optionnal module. Set to 1 if used
Integer LiveCore_Monitoring2_Usage     = 0	//optionnal module. Set to 1 if used
Integer LiveCore_GPIO_Usage 	       = 1	//optionnal module. Set to 1 if used
Integer LiveCore_Confidence_Usage      = 1	//optionnal module. Set to 1 if used

CHAR Snapshot_Blank[25]='Empty_snapshot'	//To be set if name defined in TPDesign is different

CHAR Snapshot_Input1[25]='Input1_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input2[25]='Input2_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input3[25]='Input3_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input4[25]='Input4_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input5[25]='Input5_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input6[25]='Input6_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input7[25]='Input7_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input8[25]='Input8_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input9[25]='Input9_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input10[25]='Input10_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input11[25]='Input11_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input12[25]='Input12_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input13[25]='Input13_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input14[25]='Input14_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input15[25]='Input15_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input16[25]='Input16_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input17[25]='Input17_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input18[25]='Input18_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input19[25]='Input19_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input20[25]='Input20_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input21[25]='Input21_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input22[25]='Input22_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input23[25]='Input23_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Input24[25]='Input24_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Frame1[25]='Frame1_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Frame2[25]='Frame2_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Frame3[25]='Frame3_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Frame4[25]='Frame4_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Frame5[25]='Frame5_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Frame6[25]='Frame6_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Frame7[25]='Frame7_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Frame8[25]='Frame8_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Logo1[25]='Logo1_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Logo2[25]='Logo2_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Logo3[25]='Logo3_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Logo4[25]='Logo4_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Logo5[25]='Logo5_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Logo6[25]='Logo6_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Logo7[25]='Logo7_snapshot'	//To be set if name defined in TPDesign is different
CHAR Snapshot_Logo8[25]='Logo8_snapshot'	//To be set if name defined in TPDesign is different
